curl --request GET \
--url https://api.rewind.rest/v1/listening/albums/{id} \
--header 'Authorization: Bearer <token>'{
"id": 20,
"name": "GUTS",
"mbid": null,
"artist": {
"id": 37,
"name": "Olivia Rodrigo"
},
"playcount": 32,
"url": "https://www.last.fm/music/Olivia+Rodrigo/GUTS",
"apple_music_url": null,
"image": {
"url": "https://cdn.rewind.rest/listening/albums/20/original.jpg?width=300&height=300&fit=cover&format=auto&quality=85&v=1",
"thumbhash": "HBkKHQi694WIeIiAh3Z3d2eAd4B3",
"dominant_color": "#5c4a6d",
"accent_color": "#c4a8d4"
},
"tracks": [
{
"id": 1001,
"name": "bad idea right?",
"scrobble_count": 82,
"apple_music_url": null,
"preview_url": null
},
{
"id": 1002,
"name": "vampire",
"scrobble_count": 57,
"apple_music_url": null,
"preview_url": null
}
]
}Returns detailed information about an album including tracks.
curl --request GET \
--url https://api.rewind.rest/v1/listening/albums/{id} \
--header 'Authorization: Bearer <token>'{
"id": 20,
"name": "GUTS",
"mbid": null,
"artist": {
"id": 37,
"name": "Olivia Rodrigo"
},
"playcount": 32,
"url": "https://www.last.fm/music/Olivia+Rodrigo/GUTS",
"apple_music_url": null,
"image": {
"url": "https://cdn.rewind.rest/listening/albums/20/original.jpg?width=300&height=300&fit=cover&format=auto&quality=85&v=1",
"thumbhash": "HBkKHQi694WIeIiAh3Z3d2eAd4B3",
"dominant_color": "#5c4a6d",
"accent_color": "#c4a8d4"
},
"tracks": [
{
"id": 1001,
"name": "bad idea right?",
"scrobble_count": 82,
"apple_music_url": null,
"preview_url": null
},
{
"id": 1002,
"name": "vampire",
"scrobble_count": 57,
"apple_music_url": null,
"preview_url": null
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.rewind.rest/llms.txt
Use this file to discover all available pages before exploring further.
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
"42"